commit:     6f8e62a68c25723d9cd1d1caa51c8c93458e4a3a
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed May 31 08:29:39 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed May 31 08:29:39 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f8e62a6

dev-libs/libbsd: Revbump to remove explicit_bzero.3 man page

https://bugs.gentoo.org/617462

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-libs/libbsd/libbsd-0.8.3-r1.ebuild | 42 ++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/dev-libs/libbsd/libbsd-0.8.3-r1.ebuild 
b/dev-libs/libbsd/libbsd-0.8.3-r1.ebuild
new file mode 100644
index 00000000000..6a09a948340
--- /dev/null
+++ b/dev-libs/libbsd/libbsd-0.8.3-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit multilib-minimal
+
+DESCRIPTION="An library to provide useful functions commonly found on BSD 
systems"
+HOMEPAGE="https://libbsd.freedesktop.org/wiki/";
+SRC_URI="https://${PN}.freedesktop.org/releases/${P}.tar.xz";
+
+LICENSE="BSD BSD-2 BSD-4 ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="static-libs"
+
+DEPEND=">=sys-kernel/linux-headers-3.17"
+RDEPEND=""
+
+pkg_setup() {
+       local f="${EROOT}/usr/$(get_libdir)/${PN}.a"
+       local m="You need to remove ${f} by hand or re-emerge sys-libs/glibc 
first."
+       if ! has_version ${CATEGORY}/${PN}; then
+               if [[ -e ${f} ]]; then
+                       eerror "${m}"
+                       die "${m}"
+               fi
+       fi
+}
+
+multilib_src_configure() {
+       # The build system will install libbsd-ctor.a despite of 
USE="-static-libs"
+       # which is correct, see:
+       # 
https://cgit.freedesktop.org/libbsd/commit/?id=c5b959028734ca2281250c85773d9b5e1d259bc8
+       ECONF_SOURCE="${S}" econf $(use_enable static-libs static)
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install
+       find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+
+       rm "${ED%/}"/usr/share/man/man3/explicit_bzero.3 || die # 617462
+}

Reply via email to